> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Bank Account

> Get/Validate A Specific Account Number and Bank Code with its details i.e the account name



## OpenAPI

````yaml openapi.json GET /transfers/resolve-account
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/resolve-account:
    get:
      description: Get details of all bulk transfer files you have uploaded.
      operationId: ResolveAccount
      parameters:
        - name: accountNumber
          in: query
          required: true
          description: This is the account number you want to get/validate.
          schema:
            type: string
        - name: bankCode
          in: query
          required: true
          description: This is the bank code of the account number on our system.
          schema:
            type: string
        - name: currency
          in: query
          required: true
          description: >-
            Select the currency for the payment charge. This is in our supported
            currency which is currently only NGN. Please note that only NGN
            accounts works with resolve bank accounts.
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of resolve transfers objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  accountName:
                    type: string
                    example: string
                  accountNumber:
                    type: string
                    example: string
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionError401'
components:
  schemas:
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    SubscriptionError401:
      type: object
      properties:
        code:
          type: string
          example: AUTH_ERROR
        message:
          type: string
          example: Authorization token is required.
        statusCode:
          type: integer
          format: float
          example: 401
        requestMarker:
          type: string
          format: uuid
      required:
        - status
        - statusCode
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````